import { Type } from "@sinclair/typebox";
import { FirRouteInput, FirRouteOptions } from "../util/routewrap.js";

const method = "GET";
const url = "/echo";

const payloadT = Type.Any();

const handler = ({payload}: FirRouteInput<typeof payloadT>) => {
	return payload;
};

export default {
	method,
	url,
	payloadT,
	handler,
} as const satisfies FirRouteOptions<typeof payloadT>;